$(document).ready(function(){
	var tbTitle=$("#tbTitle");
	var tbUser=$("#tbUser");
	var tbTxt=$("#tbTxt");
	var btnOk=$("#ibSendBtn");
	btnOk.attr("disabled","disabled");
	
	///////////////////////////////////////		
	tbTitle.blur(function(){
		var tbTitleVal=tbTitle.val();
		tbTitle.data("value",tbTitleVal);
		if(tbTitleVal!="" && tbTitleVal!="请输入站内信标题")
		{			
			tbTitle.removeClass();
			tbTitle.addClass("lineInput2");
			btnOk.attr("disabled","");
		}
		else
		{
			tbTitle.addClass("lineInput3");
			tbTitle.val("请输入站内信标题");
			btnOk.attr("disabled","disabled");
		}		
	});	
	tbTitle.focus(function(){
		tbTitle.val(tbTitle.data("value"));
		tbTitle.select();
    });
	tbTitle.keyup(function(){					
		var tbTitleVal=tbTitle.val();		   
		if(tbTitleVal!="")
		{
			tbTitle.removeClass();
			tbTitle.addClass("lineInput2");
			btnOk.attr("disabled","");
		}
	});
	
	///////////////////////////////////////		
	tbUser.blur(function(){
		var tbUserVal=tbUser.val();
		tbUser.data("value",tbUserVal);
		if(tbUserVal!="" && tbUserVal!="请输入收信会员名")
		{			
			tbUser.removeClass();
			tbUser.addClass("lineInput2");
			btnOk.attr("disabled","");
		}
		else
		{
			tbUser.addClass("lineInput3");
			tbUser.val("请输入收信会员名");
			btnOk.attr("disabled","disabled");
		}		
	});	
	tbUser.focus(function(){
		tbUser.val(tbUser.data("value"));
		tbUser.select();
    });
	tbUser.keyup(function(){					
		var tbUserVal=tbUser.val();		   
		if(tbUserVal!="")
		{
			tbUser.removeClass();
			tbUser.addClass("lineInput2");
			btnOk.attr("disabled","");
		}
	});
	
	///////////////////////////////////////		
	tbTxt.blur(function(){
		var tbTxtVal=tbTxt.val();
		tbTxt.data("value",tbTxtVal);
		if(tbTxtVal.length>4&&tbTxtVal!="短信内容不能小于4个字符")
		{			
			tbTxt.removeClass();
			tbTxt.addClass("msgTxt");
			btnOk.attr("disabled","");
		}
		else
		{
			tbTxt.addClass("msgTxt3");
			tbTxt.val("短信内容不能小于4个字符");
			btnOk.attr("disabled","disabled");
		}		
	});	
	tbTxt.focus(function(){
		tbTxt.val(tbTxt.data("value"));
		tbTxt.select();
    });
	tbTxt.keyup(function(){					
		var tbTxtVal=tbTxt.val();		   
		if(tbTxtVal!="")
		{
			tbTxt.removeClass();
			tbTxt.addClass("msgTxt");
			btnOk.attr("disabled","");
		}
	});	
	
	//+++++++++++++++++++++++++++++++++++++++++++++++++++++
	btnOk.click(function(){
		var tbTitleVal=tbTitle.val();
		tbTitle.data("value",tbTitleVal);
		if(tbTitleVal=="" || tbTitleVal=="请输入站内信标题")
		{			
			tbTitle.addClass("lineInput3");
			tbTitle.val("请输入站内信标题");
			return false;
		}
		///////////////////////////////////////////////////
		var tbUserVal=tbUser.val();
		tbUser.data("value",tbUserVal);
		if(tbUserVal=="" || tbUserVal=="请输入收信会员名")
		{			
			tbUser.addClass("lineInput3");
			tbUser.val("请输入收信会员名");
			return false;
		}		
		/////////////////////////////////////////////////
		var tbTxtVal=tbTxt.val();
		tbTxt.data("value",tbTxtVal);
		if(tbTxtVal.length<4||tbTxtVal=="短信内容不能小于4个字符")
		{			
			tbTxt.addClass("msgTxt3");
			tbTxt.val("短信内容不能小于4个字符");
			return false;
		}
	});
});